# Uses of Interface
org.apache.sling.graphql.api.pagination.Connection

Packages that use Connection
Package
Description
org.apache.sling.graphql.helpers
This package contains APIs which are independent of a specific implementation of the underlying graphQL engine.

## Uses of Connection in org.apache.sling.graphql.helpers

Classes in org.apache.sling.graphql.helpers that implement Connection
Modifier and Type
Class
Description
`final class`
`GenericConnection<T>`
As per https://relay.dev/graphql/connections.htm a "connection" is a page of results for a paginated query.
Methods in org.apache.sling.graphql.helpers that return Connection
Modifier and Type
Method
Description
`Connection<T>`
GenericConnection.Builder.`build()`
Build the Connection - can only be called once.